Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Build IBMQ qiskit-aer on IBM i - "Unsupported platform: os400" #444

Closed
jwoehr opened this issue Aug 6, 2019 · 1 comment

Comments

@jwoehr
Copy link
Contributor

commented Aug 6, 2019

Pull requests over the past few months have been accepted to allow scikit-build to run on IBM i PASE ("os400").

Building IBM Q qiskit-aer on IBM i with fresh pip install of scikit-build 0.10.0 yields the following:

$ python setup.py bdist_wheel
Traceback (most recent call last):
  File "setup.py", line 62, in <module>
    keywords="qiskit aer simulator quantum addon backend"
  File "/home/DRIVEWAY/jwoehr/Qiskit/qdev_venv/lib/python3.6/site-packages/skbuild/setuptools_wrap.py", line 548, in setup
    cmkr = cmaker.CMaker(cmake_executable)
  File "/home/DRIVEWAY/jwoehr/Qiskit/qdev_venv/lib/python3.6/site-packages/skbuild/cmaker.py", line 95, in __init__
    self.platform = get_platform()
  File "/home/DRIVEWAY/jwoehr/Qiskit/qdev_venv/lib/python3.6/site-packages/skbuild/platform_specifics/platform_factory.py", line 27, in get_platform
    "the scikit-build team.".format(this_platform))
RuntimeError: Unsupported platform: os400. Please contact the scikit-build team.

Will you need a pull request or can this be tracked down by the sckit-build team?

@jcfr

This comment has been minimized.

Copy link
Contributor

commented Sep 27, 2019

Closing. Fix integrated in 8c79cff

@jcfr jcfr closed this Sep 27, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
2 participants
You can’t perform that action at this time.